DATAREDIS-920 - Capture exit code from maven and exit with it.

This commit is contained in:
Greg Turnquist
2019-03-14 11:43:05 -05:00
parent 82b5c2aa09
commit 18f0be371e

View File

@@ -1,6 +1,6 @@
#!/bin/bash
set -euo pipefail
set -uo pipefail
[[ -d $PWD/maven && ! -d $HOME/.m2 ]] && ln -s $PWD/maven $HOME/.m2
@@ -15,5 +15,10 @@ make test_start
./mvnw -U clean test -DrunLongTests=true -Pspring5-next
# Capture resulting exit code from maven (pass/fail)
RESULT=$?
# Shutdown Redis
make test_stop
exit $RESULT